# Conversion: get

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/search-ads/v2/reference/conversion/get#auth).

Retrieves a list of conversions from a DoubleClick Search engine account.
[Try it now](https://developers.google.com/search-ads/v2/reference/conversion/get#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/doubleclicksearch/v2/agency/agencyId/advertiser/advertiserId/engine/engineAccountId/conversion
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `advertiserId` | `long` | Numeric ID of the advertiser. |
| `agencyId` | `long` | Numeric ID of the agency. |
| `engineAccountId` | `long` | Numeric ID of the engine account. |
| **Required query parameters** |||
| `endDate` | `integer` | Last date (inclusive) on which to retrieve conversions. Format is yyyymmdd. Acceptable values are `20091101` to `99991231`, inclusive. |
| `rowCount` | `integer` | The number of conversions to return per call. Acceptable values are `1` to `1000`, inclusive. |
| `startDate` | `integer` | First date (inclusive) on which to retrieve conversions. Format is yyyymmdd. Acceptable values are `20091101` to `99991231`, inclusive. |
| `startRow` | `unsigned integer` | The 0-based starting index for retrieving conversions results. |
| **Optional query parameters** |||
| `adGroupId` | `long` | Numeric ID of the ad group. |
| `adId` | `long` | Numeric ID of the ad. |
| `campaignId` | `long` | Numeric ID of the campaign. |
| `criterionId` | `long` | Numeric ID of the criterion. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/doubleclicksearch` |

For more information, see the [authentication and authorization](https://developers.google.com/search-ads/v2/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Conversion resource](https://developers.google.com/search-ads/v2/reference/conversion#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/doubleclicksearch/v2/doubleclicksearch.conversion.get).